using System;
using System.Threading;

namespace StopWatchClassLib
{
	public class StopWatch : System.ComponentModel.Component
	{
		private int counterValue = 0;
		private Thread theThread = null;

		public void keepCounting()
		{
			while(true)
			{
				counterValue++;
				Thread.Sleep(1000);
			}
		}

		public virtual void startCount()
		{
			counterValue = 0;
			theThread = new Thread(new ThreadStart(keepCounting));
			// This is same as writing it as
			//theThread = new Thread(new ThreadStart(this.keepCounting));

			theThread.Start();
		}

		public virtual void stopCount()
		{
			if (theThread != null)
				theThread.Abort();
			theThread = null;
		}

		public virtual int getCount() { return counterValue; }
	}
}
